<?php

require_once 'connect.php';
require_once 'inc/messages.php';

// retorna array com lista de módulos, ou false se deu erro
function ramo_atividades_getAll() {
  global $conexao;
  $sql = 'select * from erpc_ramo_atividades where st_ativo=?';
  $values[] = '1';
  $result = _prepareAndQuery($sql, $values);
  return $result;
}

// retorna array associativo com objeto, ou false se deu erro/não encontrar
function ramo_atividades_getById($id) {
  global $conexao;
  $sql = 'select * from erpc_ramo_atividades where id=? and st_ativo=1';
  $values[] = $id;
  $result = _prepareAndQuery($sql, $values);
  if ($result !== false) {
    if (count($result) === 1) {
      $result = $result[0];
    } else {
      $result = false;
      addError('Id não encontrado');
    }
  }

  return $result;
}

// insere novo módulo
function ramo_atividades_insert($ramo_atividades, &$error=null) {
  global $conexao;
  $ok = false;
  $sql = 'insert into erpc_ramo_atividades ';
  $campos = array('ds_ramo', 'st_ativo');
  $values = array();
  foreach($campos as $campo) {
    $values[] = $ramo_atividades[$campo];
  }
  $sql .= '(' . implode(',', $campos) . ') values (' . trim(str_repeat('?,', count($values)), ',') . ')';

  $ok = _prepareAndExecute($sql, $values, $error);
  if ($ok !== false) {
    if ($error === null) {
      addMessage('Inserido com sucesso');
    }
  }
  return $ok;
}

// altera a senha do usuário
function ramo_atividades_update($ramo_atividades) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_ramo_atividades set ';
  $campos = array('ds_ramo');
  $values = array();
  foreach($campos as $campo) {
    $sql .= $campo . '=?,';
    $values[] = $ramo_atividades[$campo];
  }
  $sql = trim($sql, ',');
  $sql .= ' where id = ?';
  $values[] = $ramo_atividades['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Atualizado com sucesso');
  }
  return $ok;
}

function ramo_atividades_delete($ramo_atividades) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_ramo_atividades set st_ativo = 0';
  $values = array();
  $sql .= ' where id = ?';
  $values[] = $ramo_atividades['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Removido com sucesso');
  }
  return $ok;
}

function ramo_atividades_create() {
  $ramo_atividades = array(
    'id' => '',
    'ds_ramo' => '',
    'st_ativo' => '1',
  );
  return $ramo_atividades;
}
